CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RSS Class Reference

## Public Member Functions
| __construct ()
| AddChannel ($Title, $Link, $Description, $RssLink)
| SetImage ($Url, $Height=NULL, $Width=NULL, $Description=NULL)
| SetEncoding ($Value)
| SetLanguage ($Value)
| SetCopyright ($Value)
| SetManagingEditor ($Value)
| SetWebmaster ($Value)
| AddCategory ($Value)
| SetPicsRating ($Value)
| SetPublicationDate ($Value)
| SetLastChangeDate ($Value)
| SetTextInput ($Title, $Description, $Name)
| SetSkipTimes ($Days, $Hours)
| SetCloud ($Domain, $Port, $Path, $Procedure, $Protocol)
| AddItem ($Title=NULL, $Link=NULL, $Description=NULL, $Date=NULL)
| AddItemAuthor ($Email)
| AddItemCategory ($Category, $Url=NULL)
| AddItemComments ($Url)
| AddItemEnclosure ($Url, $Length, $Type)
| PrintRSS ()

## Detailed Description

Definition at line 15 of file RSS.php.

## Constructor & Destructor Documentation

RSS::__construct | ( |  | ) |

Definition at line 19 of file RSS.php.

## Member Function Documentation

RSS::AddCategory | ( |  | $Value | ) |

Definition at line 52 of file RSS.php.

RSS::AddChannel | ( |  | $Title,
|  |  | $Link,
|  |  | $Description,
|  |  | $RssLink
| ) |  |

Definition at line 28 of file RSS.php.

RSS::AddItem | ( |  | $Title = `NULL`,
|  |  | $Link = `NULL`,
|  |  | $Description = `NULL`,
|  |  | $Date = `NULL`
| ) |  |

Definition at line 72 of file RSS.php.

RSS::AddItemAuthor | ( |  | $Email | ) |

Definition at line 80 of file RSS.php.

RSS::AddItemCategory | ( |  | $Category,
|  |  | $Url = `NULL`
| ) |  |

Definition at line 84 of file RSS.php.

RSS::AddItemComments | ( |  | $Url | ) |

Definition at line 90 of file RSS.php.

RSS::AddItemEnclosure | ( |  | $Url,
|  |  | $Length,
|  |  | $Type
| ) |  |

Definition at line 94 of file RSS.php.

RSS::PrintRSS | ( |  | ) |

Definition at line 102 of file RSS.php.

RSS::SetCloud | ( |  | $Domain,
|  |  | $Port,
|  |  | $Path,
|  |  | $Procedure,
|  |  | $Protocol
| ) |  |

Definition at line 66 of file RSS.php.

RSS::SetCopyright | ( |  | $Value | ) |

Definition at line 49 of file RSS.php.

RSS::SetEncoding | ( |  | $Value | ) |

Definition at line 47 of file RSS.php.

RSS::SetImage | ( |  | $Url,
|  |  | $Height = `NULL`,
|  |  | $Width = `NULL`,
|  |  | $Description = `NULL`
| ) |  |

Definition at line 38 of file RSS.php.

RSS::SetLanguage | ( |  | $Value | ) |

Definition at line 48 of file RSS.php.

RSS::SetLastChangeDate | ( |  | $Value | ) |

Definition at line 55 of file RSS.php.

RSS::SetManagingEditor | ( |  | $Value | ) |

Definition at line 50 of file RSS.php.

RSS::SetPicsRating | ( |  | $Value | ) |

Definition at line 53 of file RSS.php.

RSS::SetPublicationDate | ( |  | $Value | ) |

Definition at line 54 of file RSS.php.

RSS::SetSkipTimes | ( |  | $Days,
|  |  | $Hours
| ) |  |

Definition at line 62 of file RSS.php.

RSS::SetTextInput | ( |  | $Title,
|  |  | $Description,
|  |  | $Name
| ) |  |

Definition at line 56 of file RSS.php.

RSS::SetWebmaster | ( |  | $Value | ) |

Definition at line 51 of file RSS.php.

The documentation for this class was generated from the following file:

- lib/ScoutLib/RSS.php